- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_out_transport_info.h File Reference

axis2 HTTP Out Transport Info More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_http_simple_response.h>`
`#include <axis2_out_transport_info.h>`

Go to the source code of this file.

## Classes
struct | axis2_http_out_transport_info
## Defines
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CONTENT_TYPE(out_transport_info, env, content_type) axis2_http_out_transport_info_set_content_type (out_transport_info, env, content_type)
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CHAR_ENCODING(out_transport_info, env, encoding) axis2_http_out_transport_info_set_char_encoding(out_transport_info, env, encoding)
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_FREE(out_transport_info, env) axis2_http_out_transport_info_free(out_transport_info, env)
## Typedefs
typedef struct axis2_http_out_transport_info | axis2_http_out_transport_info_t
## Functions
AXIS2_EXTERN int | axis2_http_out_transport_info_set_content_type (axis2_http_out_transport_info_t *info, const axutil_env_t *env, const axis2_char_t *content_type)
AXIS2_EXTERN axis2_status_t | axis2_http_out_transport_info_set_char_encoding (axis2_http_out_transport_info_t *info, const axutil_env_t *env, const axis2_char_t *encoding)
AXIS2_EXTERN void | axis2_http_out_transport_info_free (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_out_transport_info_t * | axis2_http_out_transport_info_create (const axutil_env_t *env, axis2_http_simple_response_t *response)
AXIS2_EXTERN void | axis2_http_out_transport_info_free_void_arg (void *transport_info, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_out_transport_info_set_char_encoding_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, axis2_status_t(*set_encoding)(axis2_http_out_transport_info_t *, const axutil_env_t *, const axis2_char_t *))
AXIS2_EXTERN void | axis2_http_out_transport_info_set_content_type_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, axis2_status_t(*set_content_type)(axis2_http_out_transport_info_t *, const axutil_env_t *, const axis2_char_t *))
AXIS2_EXTERN void | axis2_http_out_transport_info_set_free_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, void(*free_function)(axis2_http_out_transport_info_t *, const axutil_env_t *))

## Detailed Description

axis2 HTTP Out Transport Info